<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net7.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Fleck" Version="1.2.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Sln.Iot.CFX\Sln.Iot.CFX.csproj" />
      <ProjectReference Include="..\Sln.Iot.Common\Sln.Iot.Common.csproj" />
      <ProjectReference Include="..\Sln.Iot.Model\Sln.Iot.Model.csproj" />
      <ProjectReference Include="..\Sln.Iot.PLC\Sln.Iot.PLC.csproj" />
      <ProjectReference Include="..\Sln.Iot.Repository\Sln.Iot.Repository.csproj" />
      <ProjectReference Include="..\Sln.Iot.Serilog\Sln.Iot.Serilog.csproj" />
      <ProjectReference Include="..\Sln.Iot.Socket\Sln.Iot.Socket.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Reference Include="CFX.Structures.GenericEquipment">
        <HintPath>..\DLL\CFX.Structures.GenericEquipment.dll</HintPath>
      </Reference>
      <Reference Include="HslCommunication">
        <HintPath>..\DLL\HslCommunication.dll</HintPath>
      </Reference>
    </ItemGroup>

</Project>
